<template>
    <div class="note-list editor app">
        <transition-group tag="div" class="list" name="list">
            <note-placeholder
                @selected="passSelectedNote"
                :note="note"
                :small="small"
                v-for="note in notes"
                :key="note.id"
            ></note-placeholder>
            <div key="123456789" v-if="!notes || notes.length < 1" class="empty">
                <span class="title">Notebook is Empty</span>
                <div class="action">
                    <app-icon size="lg" icon="folder-open"></app-icon>
                </div>
            </div>
        </transition-group>
    </div>
</template>

<style lang="css" scoped>
.list-item {
    display: inline-block;
    margin-right: 10px;
}
.list-enter-active,
.list-leave-active {
    transition: opacity 300ms;
}
.list-enter,
.list-leave-to {
    opacity: 0;
}
</style>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'
import { Prop } from 'vue-property-decorator'
import { INote } from '@/store/types/notebooks'
import NotePlaceholder from '@/app/Editor/components/primitives/NotePlaceholder.vue'

@Component({
    components: { NotePlaceholder },
})
export default class App extends Vue {
    // Props

    @Prop() notes: INote[] | undefined
    @Prop({ default: false }) small!: boolean

    // Methods

    passSelectedNote(note: INote) {
        this.$emit('selected', note)
    }
}
</script>